Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.filesystem
Class FileSystemEntitySearcherFactory

    java.lang.Object
      org.jasig.portal.groups.filesystem.FileSystemEntitySearcherFactory

All Implemented Interfaces:
  IEntitySearcherFactory

    public class FileSystemEntitySearcherFactory

extends java.lang.Object
implements IEntitySearcherFactory

Returns `IEntityGroupStore` and `IEntityStore` implementations for the file system group service.

Version:
  $Revision: 1.6 $
Author:
  Dan Ellentuck

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`FileSystemEntitySearcherFactory()` FileSytemEntitySearcherFactory constructor.

Method Summary
`protected static FileSystemGroupStore` | `getGroupStore()`
`IEntitySearcher` | `newEntitySearcher()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### FileSystemEntitySearcherFactory

    public FileSystemEntitySearcherFactory()

  FileSytemEntitySearcherFactory constructor.

Method Detail

### getGroupStore

    protected static FileSystemGroupStore getGroupStore()
                                                 throws GroupsException

  Returns:
    org.jasig.portal.groups.filesystem.FileSystemGroupStore
  Throws:
    `GroupsException`

### newEntitySearcher

    public IEntitySearcher newEntitySearcher()
                                      throws GroupsException

  Specified by:
    `newEntitySearcher` in interface `IEntitySearcherFactory`
  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD